---
sidebar: auto
---

# Список изменений

![Отладочная версия](https://github.com/MuntashirAkon/AppManager/workflows/Debug%20Build/badge.svg) [![Релиз GitHub](https://img.shields.io/github/v/release/MuntashirAkon/AppManager)](https://github.com/MuntashirAkon/AppManager/releases/latest) [![F-Droid](https://img.shields.io/f-droid/v/io.github.muntashirakon.AppManager)](https://f-droid.org/packages/io.github.muntashirakon.AppManager) ![Размер репозитория GitHub](https://img.shields.io/github/repo-size/MuntashirAkon/AppManager) ![Коммиты GitHub за неделю](https://img.shields.io/github/commit-activity/w/MuntashirAkon/AppManager)

В настоящее время поддерживаются версии [v2.5.23](https://github.com/MuntashirAkon/AppManager/releases/tag/pre-v2.5.23) и [v2.5.20](#v2-5-20-375). Обновите App Manager, если вы пользуетесь более ранней версией.

<small>[Нажмите, чтобы увидеть старый список изменений.](./changelog_old.md)</small>

::: details Таблица содержания
[[toc]]
:::

## v2.5.20 (375)
### Введение профилей
[Профили][profile_page] наконец закрывают связанную [проблему](https://github.com/MuntashirAkon/AppManager/issues/72). Профили могут многократно использоваться для выполнения определенных задач, не выполняя все вручную. Профиль может быть применен (или вызван) либо на странице [Профилей][profiles_page] или из домашнего экрана, создав ярлыки нужных профилей. Существуют также некоторые предустановки, которые состоят из debloating профилей, взятых из [Universal Android Debloater](https://gitlab.com/W1nst0n/universal-android-debloater).

**Известные ограничения:**
- Экспорт правил и применение разрешений в настоящее время не работает.
- Нет диалогового окна прогресса для отображения хода установки.

### Перехватчик
[Перехватчик намерений](https://github.com/MuntashirAkon/intent-intercept) работает как MITM между источником и назначением, то есть когда вы открываете файл или URL в другом приложении, вы можете увидеть, чем делятся, открыв его с перехватчиком. Вы также можете добавить или изменить намерения перед отправкой их в пункт назначения. Кроме того, вы можете дважды щелкнуть по любым экспортируемым активити на вкладке Активити на странице Сведения о приложении, чтобы открыть их в перехватчике, чтобы добавить больше конфигураций.

**Известное ограничение:** редактирование extras в настоящее время невозможно.

### UnAPKM: DeDRM файлы APKM
Когда я выпустил небольшой инструмент под названием [UnAPKM](https://f-droid.org/en/packages/io.github.muntashirakon.unapkm), я обещал, что подобные функции будут доступны в App Manager. Я с гордостью сообщаю, что вы можете открыть APKM файлы прямо на странице информации о приложении или конвертировать их в APKS или установить их напрямую.

### Несколько пользователей
App Manager теперь поддерживает несколько пользователей! На данный момент это требует root или ADB. Рассматривается также поддержка пользователей без root прав. Если у вас включено несколько пользователей, после нажатия на приложение, установленное в нескольких профилях, будет отображено оповещение, где вы можете выбрать пользователя.

### Vive la France!
Благодаря соавторам, у нас есть еще одно дополнение к языковому клубу: французский. Вы можете добавить больше языков или улучшить существующие переводы на [Weblate](https://hosted.weblate.org/engage/app-manager).

### Отчёты об ошибках
Если App Manager дает сбой, теперь вы можете легко сообщить об этом из уведомлений, которые открывают параметры "Поделиться". Ошибки не сообщаются через App Manager, он перенаправляет вас только на любимый почтовый клиент.

### Android 11
Добавлена поддержка Android 11. Но не все может работать, как и ожидалось.

### Улучшения установщика приложений
#### Возможность задать место установки
Файлы APK теперь сохраняются как `app name_version.extension` вместо `package.name.extension`.
#### Настройка установщика APK
Добавлены переводы на немецкий и португальский (бразильский) языки.
#### Несколько пользователей
**Известные ограничения:** еще не все переводы проверены.
#### Подписание APK файлов
На странице настроек перед установкой можно выбрать подписание APK файлов. Вы также можете выбрать схему подписания в настройках _подписания APK_.

**Известное ограничение:** В настоящее время для подписания APK файлов используется только общий ключ

## v2.5.17 (368)
### Установщик приложений
Как и обещано, теперь можно выбрать разделенные приложения, splits. AM также предоставляет рекомендации на основе конфигураций устройства. Если приложение уже установлено, рекомендации предоставляются на основе установленного приложения. Также можно понизить версию до более низкой версии без потери данных, если устройство имеет root или ADB. Но следует отметить, что не все приложения могут быть понижены. Установщик также улучшен для ускорения процесса установки, особенно для root пользователей. Если приложение уже установлено, и новая (x)apk(s) более новой или более поздней версией с другой подписью, AM покажет список изменений, похожих на [что нового][whats_new] перед тем, как предложить пользователю установить приложение. Это полезно, если приложение ввело компоненты трекера, новые права доступа и т. д.

**Известные ограничения:**
- Понижение версии пока что недоступно.
- Если apk не находится во внутренней памяти, приложение должно быть кэшировано, что также может занять много времени в зависимости от размера apk.

### Сканер: Замена страницы Exodus
Страница exodus теперь заменена на страницу сканера. Страница [сканера][scanner] содержит не только список трекеров, но и список используемых библиотек. Это только начало. В будущем эта страница будет содержать больше углубленного анализа приложения.

### Представляем конфигурацию системы
Отображает различные системные настройки и белые списки/черные списки, включенные в Android либо OEM/поставщиком, AOSP или даже некоторые модули Magisk. Пользователи с правами root могут получить доступ к этой опции из дополнительного меню на главной странице. Не существует официальной документации для этих параметров, поэтому трудно написать полную документацию для этой страницы. Но я постепенно добавлю документацию, используя свои собственные знания. Однако некоторые из функций должны быть понятными по их имени.

### Больше языков
Благодаря соавторам, сегодня у нас более 12 языков. Новые языки включают бенгальский, хинди, норвежский, польский, русский, упрощенный китайский, турецкий и украинский. Вы можете добавить новые языки или улучшить существующие переводы на [Weblate](https://hosted. weblate. org/engage/app-manager).

### Вкладка «О приложении»
Больше тегов добавлено на вкладке [сведения о приложении][app_info], например **хранилище ключей** (приложения с элементами хранилища ключей), **внесистемные приложения** (приложения, установленные с помощью Magisk), **работающие** (работающие приложения). Для внешних apk, добавлены еще два варианта: **переустановить** и **понизить**. Добавлена возможность поделиться apk через Bluetooth. Для системных приложений можно удалить обновления для пользователей root/ADB. Однако, как и в системных настройках, эта операция очистит все данные приложения. Как уже говорилось выше, exodus был заменен сканером.

### Улучшения навигации
Теперь относительно легко переходить к различным компонентам пользовательского интерфейса, просто используя клавиатуру. Вы можете использовать кнопку вверх/вниз для навигации между элементами списка и кнопкой вкладки для перехода к компонентам пользовательского интерфейса внутри элемента.

### Реструктуризация страницы использования приложений
Добавлена возможность сортировать и фильтровать процессы на этой вкладке. Также три большие кнопки заменены простым в использовании меню трех точек. Раньше использование памяти было неправильным, что было исправлено в этой версии.

### Встроенный Toybox
Toybox (альтернатива busybox) входит в комплект AM. Хотя Android имеет эту утилиту встроенную из API 23, toybox комплектуется для предотвращения ошибочных реализаций и для поддержки API < 23.

### Улучшения блокировки компонентов
Блокировщик компонентов, похоже, проблематичен в предыдущей версии, особенно если включена глобальная блокировка компонентов. Сейчас проблемы в основном исправлены.

::: warnin Предупреждение
Механизм блокировки компонентов больше не совместим с v2.5.6 из-за различных проблем безопасности. Если у вас эта версия, сначала обновитесь до версии 2.5.13 или более ранней версии. После этого включите [глобальную блокировку компонентов][5] и отключите их снова.
:::

### Улучшения на странице сведений о приложении
Значение различных опций приложения зависит от их родительского приложения. Следовательно, когда вы разрешаете / запрещаете операцию приложения, родительская операция приложения изменяется. Это устраняет проблемы, на которые некоторые пользователи жаловались в отношении некоторых операций приложения, которые нельзя было изменить.

Если приложение имеет целевой API 23 или меньше, его разрешения не могут быть изменены с помощью команды `pm grant ...`. Таким образом, для таких приложений опция переключения прав доступа отключена.

Улучшена вкладка "Подпись" для поддержки локализации. В нем также отображаются несколько контрольных сумм для подписи.

### Манифест приложения
Манифест больше не крашится, если размер манифеста слишком длинный. Сгенерированный манифест теперь более точен, чем раньше.

## v2.5.13 (348)
### Пакетное (разделенное) приложение (Split APK)
Добавлена поддержка форматов пакетных приложений, таких как **APKS** и **XAPK**. Вы можете установить эти приложения с помощью обычных кнопок установки. Для пользователей root и ADB приложения устанавливаются с использованием метода оболочки, а для пользователей без root-прав используется метод платформы по умолчанию.

**Известные ограничения:**
- _Все_ части APKS установлены. Но это поведение изменится в следующей версии приложения. Если вам нужно всего несколько частей вместо всех, извлеките файл **APKS** или **XAPK**, а затем создайте новый ZIP-файл с желаемыми частями APKS и замените расширение **ZIP** на **APKS**. Теперь откройте его с помощью AM.
- Нет диалогового окна прогресса для отображения хода установки.

### Поддержка прямой установки
Теперь вы можете установить файлы **APK**, **APKS** или **XAPK** непосредственно из вашего любимого браузера или файлового менеджера. Для приложений, которым необходимы обновления, отображается диалоговое окно **«Что нового»**, показывающее изменения в новой версии.

**Известные ограничения:**
- Понижение версии пока что недоступно.
- Нет диалогового окна прогресса для отображения хода установки. Если вы не можете взаимодействовать с текущей страницей, дождитесь завершения установки.

### Удаление всех правил блокировки
На странице настроек добавлен новый параметр, который можно использовать для удаления всех правил блокировки, настроенных в App Manager.

### Операции приложения
- Операции приложения теперь генерируются с использованием техники, аналогичной AppOpsX. Это должно значительно сократить время загрузки вкладки «Операции приложения».
- На вкладке «Операции приложения» добавлен пункт меню, который можно использовать для вывода списка только активных операций приложения без включения операций приложения по умолчанию. Эти параметры сохраняются в общих настройках.

**Известные ограничения:** часто вкладка «Операции приложения» может не реагировать на нажатия. В этом случае перезапустите AM.

### Расширенная поддержка ADB
Команды оболочки ADB теперь выполняются с использованием техники, аналогичной AppOpsX (это _свободная_ альтернатива Shizuku). Это должно значительно увеличить время выполнения.

**Известные ограничения:** AM часто может давать сбой или перестать реагировать. В этом случае перезапустите AM.

### Фильтрация на главной странице
Добавлена опция для фильтрации приложений, у которых есть хотя бы одно активити.

### Восстановление исходных файлов (за исключением файлов APK) отключено на неподдерживаемых архитектурах
Реализовано сохранение файлов APK в режиме пакетного выбора.

### Пакетные операции
- Добавлена служба переднего плана для выполнения пакетных операций. Результат операции отображается в уведомлении. Если операция не удалась для некоторых пакетов, нажатие на уведомление откроет диалоговое окно со списком неудачных пакетов. Также есть кнопка **«Повторить попытку»** внизу, которую можно использовать для повторного выполнения операции с ошибочными пакетами.
- Добавлена возможность отправки разделенных файлов APK в формате APKS (можно установить через [SAI][8]).

### Переводы
Добавлены переводы на немецкий и португальский (бразильский) языки.

**Известные ограничения:** еще не все переводы проверены.

### Резервное копирование данных приложений
Установка приложения только для текущего пользователя во время восстановления резервных копий. Также добавлена ​​поддержка разделенных APKS.

_Опция резервного копирования данных в данный момент считается нестабильной. Если у вас возникнут какие-либо проблемы, пожалуйста, сообщите о них без колебаний._

[profile_page]: ./guide/profile-page.md
[profiles_page]: ./guide/profiles-page.md
[scanner]: ./guide/scanner-page.md
[whats_new]: ./guide/app-details-page.md#горизонтальная-панель-деиствии
[app_info]: ./guide/app-details-page.md#вкладка-«о-приложении»
[5]: ./guide/settings-page.md#гnобаnьная-бnокировка-компонентов
[8]: https://github.com/Aefyr/SAI
