---
next: false
sidebarDepth: 2
---

# Разное

::: details Таблица содержания
[[toc]]
:::

## Я не использую Root/ADB. Полностью ли я в безопасности от любого вреда?
Да. AM не может изменять системные настройки без root или ADB через TCP.

## Почему AM имеет разрешение INTERNET, если он не подключается к Интернету?
AM использует разрешение INTERNET по следующим причинам:
1. **Для обеспечения поддержки ADB через TCP для пользователей без полномочий root.** ADB через TCP - это настраиваемый сетевой протокол, который обычно работает на порту `5555`. Поэтому для подключения к этому порту через localhost, AM требуется это разрешение.
2. **Для выполнения привилегированного кода как в root режиме, так и в режиме ADB.** Будучи пользовательским приложением, АМ не может выполнять привилегированный код и не может получить доступ к каким-либо скрытым API. Следовательно, AM запускает сервер в привилегированной среде, используя `app_process` на порту `60001`, а на стороне пользователя AM подключается к этому серверу и удаленно выполняет привилегированный код из приложения. Теперь есть альтернативные способы связи с удаленной службой. В настоящее время они рассматриваются.

## Как обновляются трекеры и библиотеки?
Трекеры и библиотеки обновляются вручную перед созданием нового релиза.

## Есть планы по Shizuku?
Использование скрытого API и привилегированного кода в App Manager теперь намного сложнее и не может быть интегрировано с другими сторонними приложениями, такими как [Shizuku][shizuku]. Вот несколько причин не рассматривать Shizuku (который теперь имеет лицензию Apache 2.0) для App Manager:
1. Shizuku изначально не было свободным, что привело меня к использованию аналогичного подхода для App Manager для поддержки root и ADB
1. App Manager уже поддерживает как ADB, так и root, что в некоторых случаях более эффективно, чем Shizuku
2. Использование стороннего приложения для реализации основных функций - не лучший выбор
3. Интеграция Shizuku повысит сложность App Manager.

## Что такое bloatware и как его удалить?
Bloatware-это ненужное ПО, обычно это системные приложения, установленные поставщиком или OEM-производителем. Эти приложения часто используются для отслеживания пользователей и сбора пользовательских данных, которые впоследствии могут быть проданы для получения прибыли. Системным приложениям не нужно запрашивать какое-либо разрешение для доступа к информации об устройстве, контактам и данным обмена сообщениями, а также к другой информации об использовании, такой как ваши привычки использования телефона и всему, что вы храните в общих хранилищах.

Bloatware может также включать приложения Google (такие как Сервисы Google Play, Google Play Маркет, Gmail, Google, Сообщения, Телефон, Контакты), приложения Facebook (приложение Facebook состоит из четырех или пяти приложений), Facebook Messenger, Instagram, Twitter и многие другие приложения, которые также могут отслеживать пользователей и/или собирать пользовательские данные без согласия, учитывая, что все они являются системными приложениями. Вы можете отключить несколько разрешений в настройках Android, но имейте в виду, что настройки Android скрывают почти все разрешения, которые любой специалист по безопасности может назвать потенциально _опасными_.

Если bloatware будет пользовательскими приложениями, вы можете легко удалить их из настроек Android или с помощью AM. Однако удаление системных приложений невозможно без root. Вы также можете удалить системные приложения с помощью ADB, но это может не работать для всех приложений. AM может удалять системные приложения с помощью root или ADB (второй способ с определенными ограничениями, конечно), но эти методы не могут _полностью удалить_ системные приложения, так как они расположены в _системном разделе_, который является разделом только для чтения. Если у вас есть root, вы можете перемонтировать этот раздел, чтобы вручную _очистить_ эти приложения, но это нарушит работу обновлений по воздуху (OTA), поскольку данные в системном разделе будут изменены. Существует два вида обновлений, дельта (небольшой размер, состоящий только из изменений) и полные обновления. Вы все еще можете применить полные обновления, но bloatware будет установлено снова и вы должны повторно его удалить. Кроме того, не все поставщики предоставляют полные обновления.

Другое решение - отключить эти приложения либо в настройках Android (без root), либо в AM, но некоторые службы все еще могут работать в фоновом режиме, поскольку они могут запускаться другими системными приложениями с помощью межпроцессного взаимодействия (IPC). Одно из возможных решений - отключить все bloatware, пока служба не будет окончательно остановлена (после перезапуска). Но из-за больших модификаций Android фреймворков производителями, удаление или отключение некоторых приложений может привести к аварийному завершению работы системного интерфейса или даже вызвать бутлуп, то есть софт-окирпичивание вашего устройства. Вы можете поискать в Интернете или проконсультироваться с другими пользователями, чтобы узнать больше о том, как очистить (debloat) ваше устройство.

Начиная с версии 2.5.19, в AM появилась новая функция под названием [профили][profile]. Страница [профилей][profiles] имеет возможность создать новые профили из одной из предустановок. Предустановки состоят из продуманных профилей, которые могут использоваться в качестве начальной точки для наблюдения, отключения и удаления bloatware из Android.

::: tip Примечание
В большинстве случаев вы не можете полностью очистить ваше устройство от bloatware. Поэтому рекомендуется использовать кастомную прошивку, свободную от bloatware, например Graphene OS или Lineage OS или их производные.
:::

[shizuku]: https://shizuku.rikka.app
[profile]: ../guide/profile-page.md
[profiles]: ../guide/profiles-page.md
