---
sidebarDepth: 2
---

# App Manager: спецификация правил

*Перейти на страницу с [похожей проблемой](https://github.com/MuntashirAkon/AppManager/issues/24) для обсуждения.*

**App Manager** в настоящее время поддерживает блокировку активити, широковещательных приемников, поставщиков контента, служб, операций приложений и разрешений, и в будущем я могу добавить дополнительные параметры блокировки. Чтобы добавить больше портативности, необходимо импортировать/экспортировать все эти данные.

::: details Таблица содержания
[[toc]]
:::

## Фон
Все файлы конфигурации хранятся в <tt>/data/data/io.github.muntashirakon.AppManager/Files/conf</tt>, а <tt>/sdcard/Android/data/io.github.muntashirakon.AppManager/Files/ifw</tt> используется как временное хранилище. Последний каталог хранится для обеспечения совместимости с App Manager 2.5.5 или более ранней версией. Этот последний каталог будет удален в версии 2.6, поскольку он не защищен для хранения конфиденциальных данных в общем хранилище, поскольку любое приложение, имеющее доступ к этим каталогам, может создавать или изменять эти файлы.

::: tip
Начиная с версии 2.5.6, этот последний каталог в основном используется для временного хранения. Если вы обновляетесь с версии 2.5.5 или более старых версий, обязательно примените [глобальную блокировку компонентов][gcb], которая автоматически импортирует все правила из этого каталога (позже вы можете отключить эту опцию).
:::

Когда дело доходит до хранения данных, обслуживание базы данных должно быть лучшим выбором. Но пока я буду использовать несколько файлов `tsv` с каждым файлом, имеющим имя пакета и расширением `.tsv`. Файл/база данных будет запрошены/обработаны классом `RulesStorageManager`. Благодаря этой абстракции в будущем будет проще переключиться на базы данных или системы зашифрованных баз данных без изменения конструкции всего проекта.

## Формат файла правил

### Внутренний
Приведенный ниже формат используется внутри App Manager и _не совместим с внешним форматом._
```
<name> <type> <mode>|<component_status>|<is_granted>
```
Где:
- `<name>` - имя операции компонента/разрешения/операции приложения (в случае операции приложения это может быть строка или целое число)
- `<type>` - одно из `ACTIVITY`, `RECEIVER`, `PROVIDER`, `SERVICE`, `APP_OP`,  `PERMISSION`
- `<mode>` - (для операций приложений) связанно с [режимом константы][mode_constants]
- `<component_status>` - (для компонентов) статус компонента
    * `true` - компонент был применен (значение `true` хранится для совместимости)
    * `false` - компонент не был применен, но будет применен в будущем (значение `false` хранится для совместимости)
    * `unblocked` - компонент запланирован на разблокировку
- `<is_granted>` - показывает, предоставлено ли разрешение или же отозвано

### Внешний
Внешний формат используется для импорта или экспорта правил в App Manager.
```
<package_name> <component_name> <type> <mode>|<component_status>|<is_granted>
```
Этот формат по сути такой же, как и выше, за исключением первого элемента, который является именем пакета.

::: danger Предупреждение
Экспортированные правила имеют формат, отличный от внутреннего, и не должны копироваться непосредственно в папку **conf**.
:::

[mode_constants]: ./AppOps.md#константы-mode
[gcb]: ../guide/settings-page.md#гnобаnьная-бnокировка-компонентов
